Support A2Billing :

provided by Star2Billing S.L.

Support A2Billing :
It is currently Wed Dec 12, 2018 2:39 am
Voice Broadcast System


All times are UTC




Post new topic Reply to topic  [ 22 posts ]  Go to page 1, 2  Next
Author Message
 Post subject: A2Billing Upgrade
PostPosted: Tue Jan 22, 2008 7:29 pm 
Offline

Joined: Wed Aug 22, 2007 4:36 am
Posts: 97
Hi Folks,
Could somebody advice about the right procedure to upgrade A2Billing to the last release?
I tried to upgrade and my sustem doesnt work well, so I back to my older version which is running ok.
Thanks in advanced.
Rgds


Top
 Profile  
 
 Post subject:
PostPosted: Tue Jan 22, 2008 8:46 pm 
Offline
Moderator
User avatar

Joined: Thu Jun 22, 2006 2:19 pm
Posts: 2890
Location: Devon, UK
I'd recommend stopping Apache, Asterisk, the callback daemon and your cron daemon for the duration of the upgrade.

1) PHP 4 and MySQL 4 are no longer supported for A2Billing v1.3.1 and later. Ensure you're running PHP >=5, and either MySQL >=5 or Postgres >=8.

2) Copy your old a2billing.conf to a safe place. Copy the new a2billing.conf to /etc/asterisk and redo any changes you made from defaults. Alternatively, if you're careful, you might be able to merge the changes into your old config file by consulting the Subversion repository's history of a2billing.conf. Whichever method you choose you must merge any changes to the default [agi-conf1] section to all the [agi-confX] sections in your configuration. Here are the differences in a2billing.conf between versions: 1.3.0beta->1.3.0, 1.3.0->1.3.1, 1.3.1->1.3.2, and 1.3.2->1.3.3.

3) Upgrade the schema using the files in the Database folder. This is done using almost exactly the same command described in the installation guide to originally install the schema. You just need to swap the filename for 'UPDATE-a2billing-v1.3.0-to-v1.3.1-{pg|my}sql.sql'. If you're upgrading from v1.2.3 obviously you should run the 1.2.3-to-1.3.0 schema update first. When upgrading from v1.3.1 to v1.3.2 there are no database changes to make. When upgrading to v1.3.3 MySQL requires an update, but Postgres does not.

4) Recursively copy the contents A2Billing_UI, A2Billing_AGI and A2BCustomer_UI folder to their correct locations, and ensure good permissions are set. Do the same for the sounds and reinstall the callback daemon. This should be exactly as described in the installation guide.

5) If you upgraded from v1.2.3 and have SIP/IAX friends you also need to run this script once: Database/Update_Fix_data/UPDATE-v1.2.3-to-v1.3.0-fixups.pl

I think that covers it all. 8)

(PS Areski himself posted some instructions for the v1.3.2 -> v1.3.3 upgrade.)


Last edited by stavros on Thu Jun 12, 2008 2:51 pm, edited 5 times in total.

Top
 Profile  
 
 Post subject:
PostPosted: Wed Jan 23, 2008 12:39 am 
Offline

Joined: Tue Jun 20, 2006 3:23 pm
Posts: 153
Thank you very much for nice above description for the current release. Ofcourse this is best to upgrade to mysql5 and php5.


I haven't checked yet - if there is any mismatch or bug will occur in Billing, if I want to set the current release for A2Bv1.3.2 for mysql 4 and for php4.

Then is it the following changes have to be made - as these are the parameter I found, when trying to upgrade the database.

1.

"TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP" this line will replaced with "TIMESTAMP DEFAULT 'now()' NOT NULL"

2.

"ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE utf8_bin" this line will be deleted.


Thnsk.


Top
 Profile  
 
 Post subject:
PostPosted: Wed Jan 23, 2008 12:51 am 
Offline
Moderator
User avatar

Joined: Thu Jun 22, 2006 2:19 pm
Posts: 2890
Location: Devon, UK
Quote:
I haven't checked yet - if there is any mismatch or bug will occur in Billing, if I want to set the current release for A2Bv1.3.2 for mysql 4 and for php4.
As I said, A2B doesn't support these versions anymore. It won't work without modifications.

Quote:
"TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP" this line will replaced with "TIMESTAMP DEFAULT 'now()' NOT NULL"
"ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE utf8_bin" this line will be deleted.
Those are differences between MySQL and Postgres syntax. Nothing to do with running on MySQL 4.

I couldn't tell exactly what changes would be needed. It would take quite some research to be sure you'd got them all. Just upgrade PHP and MySQL. It's much, much easier that way.

Quote:
Thnsk.
Yr'uoe wlmcoee. :D


Top
 Profile  
 
 Post subject:
PostPosted: Wed Jan 23, 2008 1:08 am 
Offline

Joined: Tue Jun 20, 2006 3:23 pm
Posts: 153
Thanks!

Those line were the errors that mysql server version didn't support and gave error when installing. When removed - Its installed smoothly. And its running.

But surely its now time to upgrade for better purformance and to keep followup with A2B. otherwise it will be always to make some changes in the script that will cause lot of work.

Best regards.


Top
 Profile  
 
 Post subject: Thank you very much
PostPosted: Wed Jan 23, 2008 3:43 am 
Offline

Joined: Wed Aug 22, 2007 4:36 am
Posts: 97
I'll apreciate your support.
I'll try to upgrade and I'll be back with results.
Rgds,


Top
 Profile  
 
 Post subject:
PostPosted: Thu Feb 21, 2008 7:05 am 
Offline

Joined: Thu May 04, 2006 6:14 am
Posts: 76
Location: Manta - Ecuador
I've upgraded with the stavros indications and works well.

Thank you.


Top
 Profile  
 
 Post subject: latest version 1.3.2
PostPosted: Fri Feb 29, 2008 4:00 am 
Offline

Joined: Sat Sep 30, 2006 11:22 am
Posts: 167
Location: South East Florida
How do I upgrade the DB 1.3.1 to 1.3.2. I cant find this update in the Database folder of the new version.

Thank you.


Top
 Profile  
 
 Post subject:
PostPosted: Fri Feb 29, 2008 9:16 am 
Offline
Moderator
User avatar

Joined: Thu Jun 22, 2006 2:19 pm
Posts: 2890
Location: Devon, UK
There were no schema changes between v1.3.1 and v1.3.2. There's nothing to do. 8)


Top
 Profile  
 
 Post subject:
PostPosted: Fri Feb 29, 2008 12:11 pm 
Offline

Joined: Sat Sep 30, 2006 11:22 am
Posts: 167
Location: South East Florida
Thank you sir, appreciate it like always.


Top
 Profile  
 
 Post subject: newbie
PostPosted: Wed Apr 16, 2008 12:07 pm 
Offline

Joined: Wed Apr 16, 2008 11:58 am
Posts: 13
stavros wrote:
I'd recommend stopping Apache, Asterisk and the callback daemon for the duration of the upgrade.

1) PHP 4 and MySQL 4 are no longer supported for A2Billing v1.3.1 and later. Ensure you're running PHP >=5, and either MySQL >=5 or Postgres >=8.

2) Copy your old a2billing.conf to a safe place. Copy the new a2billing.conf to /etc/asterisk and redo any changes you made from defaults. Alternatively, if you're careful, you might be able to merge the changes into your old config file by consulting the Subversion repository's history of a2billing.conf. Whichever method you choose you must merge any changes to the [agi-conf1] section to all [agi-confX] sections. Here are the differences in a2billing.conf between versions: 1.3.0beta->1.3.0, versions 1.3.0->1.3.1, and versions 1.3.1->1.3.2.

3) Upgrade the schema using the files in the Database folder. This is done using almost exactly the same command described in the installation guide to originally install the schema. You just need to swap the filename for 'UPDATE-a2billing-v1.3.0-to-v1.3.1-{pg|my}sql.sql'. If you're upgrading from v1.2.3 obviously you should run the 1.2.3-to-1.3.0 schema update first. When upgrading from v1.3.1 to v1.3.2 there are no database changes to make.

4) Recursively copy the contents A2Billing_UI, A2Billing_AGI and A2BCustomer_UI folder to their correct locations, and ensure good permissions are set. Do the same for the sounds and reinstall the callback daemon. This should be exactly as described in the installation guide.

5) If you upgraded from v1.2.3 and have SIP/IAX friends you also need to run this script once: Database/Update_Fix_data/UPDATE-v1.2.3-to-v1.3.0-fixups.pl

I think that covers it all. 8)


I really appreciate the generous support from this forum. I like to know how can any body check his php/apache/mysql version from linux comand prompt ?


Top
 Profile  
 
 Post subject:
PostPosted: Wed Apr 16, 2008 12:16 pm 
Offline

Joined: Sat Sep 30, 2006 11:22 am
Posts: 167
Location: South East Florida
Hello imranwsu, if you go to the following link, the installation guide, under "verify tha Asterisk is working" you will find all the commands to Verify Apache/PHP/mysql installation you are requesting.

let me know if this works for you.


http://www.asterisk2billing.org/cgi-bin ... ationGuide


Top
 Profile  
 
 Post subject:
PostPosted: Wed Apr 16, 2008 11:10 pm 
Offline

Joined: Wed Apr 16, 2008 11:58 am
Posts: 13
ladca2003 thank you so much for the correct pointer. :P
This is really great forum by Great Peoples 8).


Top
 Profile  
 
 Post subject:
PostPosted: Mon Sep 01, 2008 1:12 am 
Offline

Joined: Sat Jul 28, 2007 5:51 am
Posts: 79
if you using TB, becareful when you doing upgrade to php5, you will have blank freepbx main page.

I am having this problem right now, if anyone have this figured out please help.

Thanks


Top
 Profile  
 
 Post subject: Freepbx blank page
PostPosted: Mon Nov 10, 2008 8:44 am 
Offline

Joined: Mon Jan 29, 2007 1:26 pm
Posts: 12
please add to /etc/php.ini

[Date]
; Defines the default timezone used by the date functions
;date.timezone =
date.timezone = "Asia/Jerusalem" (or another timezone)

;;;;;;;;;;;;;;;;;;;
; Resource Limits ;
;;;;;;;;;;;;;;;;;;;

max_execution_time = 90 ; Maximum execution time of each script, in seconds

max_input_time = 90 ; Maximum amount of time each script may spend parsing request data

memory_limit = 128M ; Maximum amount of memory a script may consume (8MB)


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 22 posts ]  Go to page 1, 2  Next
Predictive Dialer


All times are UTC


Who is online

Users browsing this forum: No registered users and 9 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
cron
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group